Demo Data from EDBT 2026 / reviewers in the wild / expert
Anke van Zuylen
dblp:93/1865
· DBLP profile ↗
26ranked-venue papers
12as first author
0since 2021 · last 2019
0000-0002-8182-3134ORCID · corroborated
Domains — the database's venue-derived domains; a paper can count in several
Theory of computation · 24 · 12 first-authorApplied, interdisciplinary, general and emerging computing · 2Databases, data management, data science and information retrieval · 1 · 1 first-author
Expertise — from the expertise taxonomy: the topics of the expert's papers under the CCF categories. A weight counts papers with recency: 1 for a paper about the topic, 0.3 when the topic is its context, halved every five years.
| Theoretical computer science
7 papers |
Mathematical optimization · 47% Approximation and online algorithms · 26% Algorithms and data structures · 9% | |
| Databases, data mining, and information retrieval
1 paper |
Data mining · 100% |
Topics — the 19 heaviest of 20, each with the papers that count most for it
| Topic | Weight | Papers | Last | Evidence papers |
|---|---|---|---|---|
Approximation and online algorithms
approximation algorithms |
1.0 | 4 | 2019 | The Salesman's Improved Paths through Forests · J. ACM 2019 A Duality Based 2-Approximation Algorithm for Maximum Agreement Forest · ICALP 2016 The Salesman's Improved Paths: A 3/2+1/34 Approximation · FOCS 2016 |
Mathematical optimization › combinatorial optimization › vehicle routing
traveling salesman problem |
0.8 | 3 | 2019 | The Salesman's Improved Paths through Forests · J. ACM 2019 The Salesman's Improved Paths: A 3/2+1/34 Approximation · FOCS 2016 A proof of the Boyd-Carr conjecture · SODA 2012 |
Mathematical optimization › linear programming
subtour elimination LP |
0.4 | 2 | 2016 | The Salesman's Improved Paths: A 3/2+1/34 Approximation · FOCS 2016 A proof of the Boyd-Carr conjecture · SODA 2012 |
Mathematical optimization
discrete optimization |
0.4 | 1 | 2019 | The Salesman's Improved Paths through Forests · J. ACM 2019 |
Mathematical optimization › combinatorial optimization
greedy algorithm |
0.3 | 1 | 2017 | Greedy Algorithms for the Maximum Satisfiability Problem: Simple Algorithms and Inapproximability Bounds · SIAM J. Comput. 2017 |
Computational complexity
hardness of approximation |
0.3 | 1 | 2017 | Greedy Algorithms for the Maximum Satisfiability Problem: Simple Algorithms and Inapproximability Bounds · SIAM J. Comput. 2017 |
Automated reasoning and model checking › satisfiability
maximum satisfiability |
0.3 | 1 | 2017 | Greedy Algorithms for the Maximum Satisfiability Problem: Simple Algorithms and Inapproximability Bounds · SIAM J. Comput. 2017 |
Approximation and online algorithms › approximation algorithms › approximation algorithms for graph problems
christofides' algorithm |
0.2 | 1 | 2016 | The Salesman's Improved Paths: A 3/2+1/34 Approximation · FOCS 2016 |
Mathematical optimization
linear programming relaxation |
0.2 | 1 | 2016 | The Salesman's Improved Paths: A 3/2+1/34 Approximation · FOCS 2016 |
Algorithms and data structures › computational biology
phylogenetic trees |
0.2 | 1 | 2016 | A Duality Based 2-Approximation Algorithm for Maximum Agreement Forest · ICALP 2016 |
Graph algorithms and graph theory › graph clustering
correlation clustering |
0.1 | 1 | 2012 | Improved Approximation Algorithms for Bipartite Correlation Clustering · SIAM J. Comput. 2012 |
Graph algorithms and graph theory › graph theory › graph transformation
graph modification |
0.1 | 1 | 2012 | Improved Approximation Algorithms for Bipartite Correlation Clustering · SIAM J. Comput. 2012 |
Mathematical optimization › linear programming relaxation
integrality gap |
0.1 | 1 | 2012 | A proof of the Boyd-Carr conjecture · SODA 2012 |
Mathematical optimization › linear programming
linear programming duality |
0.1 | 1 | 2016 | A Duality Based 2-Approximation Algorithm for Maximum Agreement Forest · ICALP 2016 |
Algorithms and data structures
clustering |
0.1 | 1 | 2007 | Deterministic pivoting algorithms for constrained ranking and clustering problems · SODA 2007 |
Algorithms and data structures › clustering
constrained clustering |
0.1 | 1 | 2007 | Deterministic pivoting algorithms for constrained ranking and clustering problems · SODA 2007 |
Algorithms and data structures
ranking |
0.1 | 1 | 2007 | Deterministic pivoting algorithms for constrained ranking and clustering problems · SODA 2007 |
Data mining
clustering |
0.0 | 1 | 2012 | Improved Approximation Algorithms for Bipartite Correlation Clustering · SIAM J. Comput. 2012 |
Mathematical optimization › linear programming
pivoting algorithm |
0.0 | 1 | 2007 | Deterministic pivoting algorithms for constrained ranking and clustering problems · SODA 2007 |
Methods — techniques the papers use, named apart from their topics
linear programming relaxation · 0.4spanning tree · 0.4linear programming · 0.4greedy algorithm · 0.4randomized greedy algorithm · 0.3priority algorithms · 0.3minimum cost spanning tree · 0.2greedy rounding · 0.2flow problem · 0.2LP duality · 0.2randomized pivoting · 0.1linear programming rounding · 0.1
| Year | Publication | Venue | Position |
|---|---|---|---|
| 2019 | The Salesman's Improved Paths through ForestsabstractWe give a new, strongly polynomial-time algorithm and improved analysis for the metric s - t path Traveling Salesman Problem (TSP). It finds a tour of cost less than 1.53 times the optimum of the subtour elimination linear program (LP), while known examples show that 1.5 is a lower bound for the integrality gap. A key new idea is the deletion of some edges of the spanning trees used in the best-of-many Christofides-Serdyukov-algorithm, which is then accompanied by novel arguments of the analysis: edge-deletion disconnects the trees, and the arising forests are then partly reconnected by “parity correction.” We show that the arising “connectivity correction” can be achieved for a minor extra cost. On the one hand, this algorithm and analysis extend previous tools such as the best-of-many Christofides-Serdyukov-algorithm. On the other hand, powerful new tools are solicited, such as a flow problem for analyzing the reconnection cost, and the construction of a set of more and more restrictive spanning trees, each of which can still be found by the greedy algorithm. We show that these trees, which are easy to compute, can replace the spanning trees of the best-of-many Christofides-Serdyukov-algorithm. These new methods lead to improving the integrality ratio and approximation guarantee below 1.53, as was shown in the preliminary, shortened version of this article that appeared in FOCS 2016. The algorithm and analysis have been significantly simplified in the current article, while details and explanations have been added. András Sebö, Anke van Zuylen |
J. ACM | 2 |
| 2017 | Greedy Algorithms for the Maximum Satisfiability Problem: Simple Algorithms and Inapproximability BoundsabstractWe give a simple, randomized greedy algorithm for the maximum satisfiability problem (MAX SAT) that obtains a $\frac{3}{4}$-approximation in expectation. In contrast to previously known $\frac{3}{4}$-approximation algorithms, our algorithm does not use flows or linear programming. Hence we provide a positive answer to a question posed by Williamson in 1998 on whether such an algorithm exists. Moreover, we show that Johnson's greedy algorithm cannot guarantee a $\frac{3}{4}$-approximation, even if the variables are processed in a random order. Thereby we partially solve a problem posed by Chen, Friesen, and Zheng in 1999. In order to explore the limitations of the greedy paradigm, we use the model of priority algorithms of Borodin, Nielsen, and Rackoff. Since our greedy algorithm works in an online scenario where the variables arrive with their set of undecided clauses, we wonder if a better approximation ratio can be obtained by further fine-tuning its random decisions. For a particular information model we show that no priority algorithm can approximate Online MAX SAT within $\frac{3}{4} + \varepsilon$ (for any $\varepsilon > 0$). We further investigate the strength of deterministic greedy algorithms that may choose the variable ordering. Here we show that no adaptive priority algorithm can achieve approximation ratio $\frac{3}{4}$. We propose two ways in which this inapproximability result can be bypassed. First we show that if our greedy algorithm is additionally given the variable assignments of an optimal solution to the canonical LP relaxation, then we can derandomize its decisions while preserving the overall approximation guarantee. Second we give a simple, deterministic algorithm that performs an additional pass over the input. We show that this 2-pass algorithm satisfies clauses with a total weight of at least $\frac{3}{4} {OPT}_{LP}$, where ${OPT}_{LP}$ is the objective value of the canonical linear program. Moreover, we demonstrate that our analysis is tight and detail how each pass can be implemented in linear time. Matthias Poloczek, Georg Schnitger, David P. Williamson, Anke van Zuylen |
SIAM J. Comput. | 4 |
| 2016 | The Salesman's Improved Paths: A 3/2+1/34 ApproximationabstractWe give a new, strongly polynomial algorithm and improved analysis of the metric s-t path TSP. It finds a tour of cost less than 1.53 times the optimum of the subtour elimination LP, while known examples show that 1.5 is a lower bound for the integrality gap. A key new idea is the deletion of some edges of Christofides' trees, and we show that the arising "reconnection" problems can be solved for a minor extra cost. On the one hand our algorithm and analysis extend previous tools, at the same time simplifying the framework. On the other hand new tools are introduced, such as a flow problem used for analyzing the reconnection cost, and the use of a set of more and more restrictive minimum cost spanning trees, each of which can still be found by the greedy algorithm. The latter leads to a simple Christofides-like algorithm completely avoiding the computation of a convex combination of spanning trees. Furthermore, the 3/2 target-bound is easily reached in some relevant new cases. András Sebö, Anke van Zuylen |
FOCS | 2 |
| 2016 | A Duality Based 2-Approximation Algorithm for Maximum Agreement ForestabstractWe give a 2-approximation algorithm for the Maximum Agreement Forest problem on two rooted binary trees. This NP-hard problem has been studied extensively in the past two decades, since it can be used to compute the Subtree Prune-and-Regraft (SPR) distance between two phylogenetic trees. Our result improves on the very recent 2.5-approximation algorithm due to Shi, Feng, You and Wang (2015). Our algorithm is the first approximation algorithm for this problem that uses LP duality in its analysis. Frans Schalekamp, Anke van Zuylen, Suzanne van der Ster |
ICALP | 2 |
| 2016 | Improved Approximations for Cubic Bipartite and Cubic TSP
Anke van Zuylen |
IPCO | 1 |
| 2016 | A tight upper bound on the number of cyclically adjacent transpositions to sort a permutation
Anke van Zuylen, James C. Bieron, Frans Schalekamp, Gexin Yu |
Inf. Process. Lett. | 1 |
| 2014 | Scheduling over Scenarios on Two Machines
Esteban Feuerstein, Alberto Marchetti-Spaccamela, Frans Schalekamp, René Sitters, Suzanne van der Ster, Leen Stougie, Anke van Zuylen |
COCOON | 7 |
| 2014 | On Some Recent Approximation Algorithms for MAX SAT
Matthias Poloczek, David P. Williamson, Anke van Zuylen |
LATIN | 3 |
| 2014 | Popular ranking
Anke van Zuylen, Frans Schalekamp, David P. Williamson |
Discret. Appl. Math. | 1 |
| 2013 | Deterministic approximation algorithms for the maximum traveling salesman and maximum triangle packing problems
Anke van Zuylen |
Discret. Appl. Math. | 1 |
| 2012 | On the Integrality Gap of the Subtour LP for the 1, 2-TSP
Jiawei Qian, Frans Schalekamp, David P. Williamson, Anke van Zuylen |
LATIN | 4 |
| 2012 | A proof of the Boyd-Carr conjectureabstractDetermining the precise integrality gap for the subtour LP relaxation of the traveling salesman problem is a significant open question, with little progress made in thirty years in the general case of symmetric costs that obey triangle inequality. Boyd and Carr [3] observe that we do not even know the worst-case upper bound on the ratio of the optimal 2-matching to the subtour LP; they conjecture the ratio is at most 10/9. In this paper, we prove the Boyd-Carr conjecture. In the case that a fractional 2-matching has no cut edge, we can further prove that an optimal 2-matching is at most 10/9 times the cost of the fractional 2-matching. Frans Schalekamp, David P. Williamson, Anke van Zuylen |
SODA | 3 |
| 2012 | Simpler Approximation of the Maximum Asymmetric Traveling Salesman ProblemabstractWe give a very simple approximation algorithm for the maximum asymmetric traveling salesman problem. The approximation guarantee of our algorithm is 2/3, which matches the best known approximation guarantee by Kaplan, Lewenstein, Shafrir and Sviridenko. Our algorithm is simple to analyze, and contrary to previous approaches, which need an optimal solution to a linear program, our algorithm is combinatorial and only uses maximum weight perfect matching algorithm. Katarzyna E. Paluch 0001, Khaled M. Elbassioni, Anke van Zuylen |
STACS | 3 |
| 2012 | Improved Approximation Algorithms for Bipartite Correlation ClusteringabstractIn this work we study the problem of bipartite correlation clustering (BCC), a natural bipartite counterpart of the well-studied correlation clustering (CC) problem [N. Bansal, A. Blum, and S. Chawla, Machine Learning, 56 (2004), pp. 89--113], also referred to as graph editing [R. Shamir, R. Sharan, and D. Tsur, Discrete Appl. Math., 144 (2004), pp. 173--182]. Given a bipartite graph, the objective of BCC is to generate a set of vertex disjoint bicliques (clusters) that minimizes the symmetric difference to the original graph. The best-known approximation algorithm for BCC due to Amit [N. Amit, The Bicluster Graph Editing Problem, Master's Thesis, Tel Aviv University, Tel Aviv, Israel, 2004] guarantees an $11$-approximation ratio. In this paper we present two algorithms. The first is a linear program based $4$-approximation algorithm. Like the previous approximation algorithm, it requires solving a large convex problem, which becomes prohibitive even for modestly sized tasks. The second algorithm, and our main contribution, is a simple randomized combinatorial algorithm. It also achieves an expected $4$-approximation factor, and it is trivial to implement and highly scalable. The analysis extends a method developed by Ailon, Charikar, and Newman in 2008, where a randomized pivoting algorithm was analyzed for obtaining a $3$-approximation algorithm for CC. For analyzing our algorithm for BCC, considerably more sophisticated arguments are required in order to take advantage of the bipartite structure. Whether it is possible to achieve (or beat) the $4$-approximation factor using a scalable and deterministic algorithm remains an open problem. Nir Ailon, Noa Avigdor-Elgrabli, Edo Liberty, Anke van Zuylen |
SIAM J. Comput. | 4 |
| 2011 | Improved Approximation Algorithms for Bipartite Correlation Clustering
Nir Ailon, Noa Avigdor-Elgrabli, Edo Liberty, Anke van Zuylen |
ESA | 4 |
| 2011 | Simpler 3/4-Approximation Algorithms for MAX SAT
Anke van Zuylen |
WAOA | 1 |
| 2011 | Deterministic Sampling Algorithms for Network Design
Anke van Zuylen |
Algorithmica | 1 |
| 2011 | Linear programming based approximation algorithms for feedback set problems in bipartite tournaments
Anke van Zuylen |
Theor. Comput. Sci. | 1 |
| 2010 | Clustering with or without the Approximation
Frans Schalekamp, Michael Yu, Anke van Zuylen |
COCOON | 3 |
| 2010 | Multiplying Pessimistic Estimators: Deterministic Approximation of Max TSP and Maximum Triangle Packing
Anke van Zuylen |
COCOON | 1 |
| 2009 | Rank Aggregation: Together We're StrongabstractWe consider the problem of finding a ranking of a set of elements that is “closest to” a given set of input rankings of the elements; more precisely, we want to find a permutation that minimizes the Kendall-tau distance to the input rankings, where the Kendall-tau distance is defined as the sum over all input rankings of the number of pairs of elements that are in a different order in the input ranking than in the output ranking. If the input rankings are permutations, this problem is known as the Kemeny rank aggregation problem. This problem arises for example in building meta-search engines for Web search, aggregating viewers’ rankings of movies, or giving recommendations to a user based on several different criteria, where we can think of having one ranking of the alternatives for each criterion. Many of the approximation algorithms and heuristics that have been proposed in the literature are either positional, comparison sort or local search algorithms. The rank aggregation problem is a special case of the (weighted) feedback arc set problem, but in the feedback arc set problem we use only information about the preferred relative ordering of pairs of elements to find a ranking of the elements, whereas in the case of the rank aggregation problem, we have additional information in the form of the complete input rankings. The positional methods are the only algorithms that use this additional information. Since the rank aggregation problem is NP-hard, none of these algorithms is guaranteed to find the optimal solution, and different algorithms will provide different solutions. We give theoretical and practical evidence that a combination of these different approaches gives algorithms that are superior to the individual algorithms. Theoretically, we give lower bounds on the performance for many of the “pure” methods. Practically, we perform an extensive evaluation of the “pure” algorithms and combinations of different approaches. We give three recommendations for which (combination of) methods to use based on whether a user wants to have a very fast, fast or reasonably fast algorithm. Frans Schalekamp, Anke van Zuylen |
ALENEX | 2 |
| 2009 | Linear Programming Based Approximation Algorithms for Feedback Set Problems in Bipartite Tournaments
Anke van Zuylen |
TAMC | 1 |
| 2008 | Deterministic Sampling Algorithms for Network Design
Anke van Zuylen |
ESA | 1 |
| 2007 | Maximizing influence in a competitive social network: a follower's perspectiveabstractWe consider the problem faced by a company that wants to use viral marketing to introduce a new product into a market where a competing product is already being introduced. We assume that consumers will use only one of the two products and will influence their friends in their decision of which product to use. We propose two models for the spread of influence of competing technologies through a social network and consider the influence maximization problem from the follower's perspective. In particular we assume the follower has a fixed budget available that can be used to target a subset of consumers and show that, although it is NP-hard to select the most influential subset to target, it is possible to give an efficient algorithm that is within 63% of optimal. Our computational experiments show that by using knowledge of the social network and the set of consumers targeted by the competitor, the follower may in fact capture a majority of the market by targeting a relatively small set of the right consumers. Tim Carnes, Chandrashekhar Nagarajan, Stefan M. Wild, Anke van Zuylen |
ICEC | 4 |
| 2007 | Deterministic pivoting algorithms for constrained ranking and clustering problems
Anke van Zuylen, Rajneesh Hegde, Kamal Jain, David P. Williamson |
SODA | 1 |
| 2007 | Deterministic Algorithms for Rank Aggregation and Other Ranking and Clustering Problems
Anke van Zuylen, David P. Williamson |
WAOA | 1 |